--[[function menuDraw()
	love.graphics.setFont(pixelTextL)
	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("fill",playButton.x, playButton.y, playButton.w, playButton.h)
	love.graphics.setColor(0,0,0)
	love.graphics.rectangle("fill",playButton.x + 10, playButton.y + 10, playButton.w - 20, playButton.h - 20)
	love.graphics.setColor(255,255,255)
	love.graphics.print("PLAY", playButton.x + 13, playButton.y + 10)
	love.graphics.setFont(pixelTextS)
	love.graphics.print("v0.2", 2, 2)
	love.graphics.print("Aaron Butterworth", (screen.w/2) - pixelTextS:getWidth("Aaron Butterworth")/2, screen.h - 35)
end]]
--  ^^ OLD MENU DRAW ^^

--[[function menuUpdate(x,y,button)
	if CheckCollision(x, y, 1, 1, playButton.x, playButton.y, playButton.w, playButton.h)
		then
		state = "playing"
		restart()
	end
end]]
-- ^^ OLD BUTTON CLICK CODE ^^

menuAlpha = 255
menuFadeRate = 200
menuFade = false

function menuDraw()
	love.graphics.setFont(pixelTextL)
	love.graphics.setColor(255,255,255, menuAlpha)
	love.graphics.print("Press any key to play", screen.w/2 - pixelTextL:getWidth("Press Space To Play")/2, screen.h/2 - pixelTextL:getHeight("Press Space To Play")/2)
	love.graphics.setFont(pixelTextS)
	love.graphics.print("v0.2", 2, 2)
	love.graphics.print("Aaron Butterworth", (screen.w/2) - pixelTextS:getWidth("Aaron Butterworth")/2, screen.h - pixelTextS:getHeight("Press Space To Play"))
	love.graphics.setColor(255,255,255,255)
end

function pausedDraw()
	love.graphics.rectangle("fill", 10,10, 12.5, 50)
	love.graphics.rectangle("fill", 30,10, 12.5, 50)
end

function menuUpdate(dt)
	if menuFade then
		menuAlpha = menuAlpha - menuFadeRate * dt
	end

	if menuAlpha < 0 then 
		state = "playing"
		restart()
	end
end